### Method

# Foundry Diagnostic get_line_offset

#### Declaration [src]

    guint
    foundry_diagnostic_get_line_offset (
      FoundryDiagnostic* self
    )

#### Description [src]

Gets the offset within the line of the diagnostic.

A value of 0 indicates that the line offset is unset.

Gets property | `Foundry.Diagnostic:line-offset`

#### Return value

Type: `guint`

A character offset within the line starting from 1, or 0 to indicate unset.